package ad.creuroja.gestio.requests.administration;

import com.achavero.cvf.core.CvfRequestCommand;
import com.achavero.cvf.core.CvfRequestInvocation;
import com.achavero.utils.Utils;

import ad.creuroja.gestio.services.impl.LoginServiceImpl;

/**
 * Acción para eliminar Login
 * success -> loginList.view
 * error -> loginList.view
 * @author Adrian Chavero Ramos
 * @version 9 de ene. de 2016
 */
public class LoginDelAction extends CvfRequestCommand {

	@Override
	public String execute(CvfRequestInvocation invocation) {

		Long idSelected = Utils.getParameter(invocation.getRequest(), "idSelected", -1L, Long.class);

		if (idSelected==null || idSelected==-1L) {
			return "error";
		}

		LoginServiceImpl loginService = new LoginServiceImpl();
		if (loginService.delete(idSelected)) {
			return "success";
		} else {
			return "error";
		}

	}
}
