package ad.creuroja.gestio.requests.administration;

import java.util.List;

import com.achavero.cvf.core.CvfRequestCommand;
import com.achavero.cvf.core.CvfRequestInvocation;

import ad.creuroja.gestio.models.Login;
import ad.creuroja.gestio.services.impl.LoginServiceImpl;

/**
 * Comando vista listado de logins
 * success -> /administration/loginList.jsp
 * @author Adrian Chavero Ramos
 * @version 9 de ene. de 2016
 */
public class LoginListView extends CvfRequestCommand {

	@Override
	public String execute(CvfRequestInvocation invocation) {

		LoginServiceImpl loginService = new LoginServiceImpl();

		List<Login> loginList = loginService.loginList();
		invocation.getRequest().setAttribute("loginList", loginList);

		return "success";
	}

}
