<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://cvf.achavero.com/taglibs/views" prefix="cvf"%>


<script>

function setButtons(listUri, addUri, modUri, delUri, title, headerButtonIdSelected) {
	setButton($("#headerButtonList"), listUri);
	setButton($("#headerButtonAdd"), addUri);
	setButton($("#headerButtonMod"), modUri);
	setButton($("#headerButtonDel"), delUri);
	$("#headerTitle span").text(title);
	selectHeaderButton(headerButtonIdSelected);
}

function selectHeaderButton(headerButtonIdSelected) {
	if (typeof headerButtonIdSelected!="undefined" && headerButtonIdSelected!="") {
		$("#headerContent .navigationDiv.selected").each(function() {
			$(this).removeClass("selected");
			setButton($(this), $(this).data("uri"));
		});
		$("#"+headerButtonIdSelected).unbind('mouseenter mouseleave click')
			.removeClass("normal disabled").addClass("selected");
	}
}

function setButton($elem , uri) {
	$elem.data("uri", uri);
	if (uri=="") {
		$elem.removeClass("selected normal").addClass("disabled");
		$(this).unbind('mouseenter mouseleave click');
	} else {
		$elem.removeClass("selected disabled").addClass("normal");
		$elem.hover(function() {
			$(this).removeClass("normal disabled").addClass("selected");
		}, function() {
			$(this).removeClass("selected disabled").addClass("normal");
		});
		$elem.click(function() {
			$("#headerContent .selected").each(function() {
				$(this).removeClass("selected");
				setButton($(this), $(this).data("uri"));
			});
			$(this).unbind('mouseenter mouseleave click').addClass("selected");
		});
	}
}

$(document).ready(function() {
	setButtons("", "", "", "", "Creu Roja Andorra - Gestión", "");
});
</script>

<style>
#headerContent {
	border: 3px solid #D2101B;
	border-radius: 4px;
	height: 100%;
	width: 100%;
	padding: 4px;
}

#headerContent .headerButton {
	float: left;
	height: 100%;
	display: table;
	margin-left: 8px;
	margin-right: 8px;
}

#headerContent #headerButtonHome {
	float: right;
	margin-right: 8px;
}

#headerContent #headerTitle {
	float: left;
	height: 100%;
	line-height: 100%;
	display: table;
	width: 70%;
}

#headerContent #headerTitle span {
	vertical-align: middle;
	display: table-cell;
	width: 100%;
	text-align: center;
	font-size: 16px;
	font-weight: bold;
}

#headerContent .headerButton {
	display: table-cell;
	vertical-align: middle;
}

#headerContent .headerButton .navigationDiv.disabled {
	color: #CCCCCC;
}

#headerContent .headerButton .navigationDiv.normal {
	color: #000000;
}

#headerContent .headerButton .navigationDiv.selected {
	color: #D2101B;
}

.arrow-up {
	width: 0; 
	height: 0; 
	border-left: 11px solid transparent;
	border-right: 11px solid transparent;
	border-bottom: 11px solid #D2101B;
	position: absolute;
	bottom: 0px;
	display: none;
}

</style>

<div id="headerContent">
<div class="headerButton">
<cvf:navigation navid="headerButtonList" faicon="fa-list fa-2x" label="" uri="" target="contentSection" />
</div>
<div class="headerButton">
<cvf:navigation navid="headerButtonAdd" faicon="fa-plus fa-2x" label="" uri="" target="contentSection" />
</div>
<div class="headerButton">
<cvf:navigation navid="headerButtonMod" faicon="fa-wrench fa-2x" label="" uri="" target="contentSection" />
</div>
<div class="headerButton">
<cvf:navigation navid="headerButtonDel" faicon="fa-close fa-2x" label="" uri="" 
	target="contentSection" functionPre="confirm('Seguro que quiere borrar el elemento?')"/>
</div>
<div id="headerTitle">
<span></span>
</div>
<div>
<cvf:navigation navid="headerButtonHome" faicon="fa-home fa-2x" label="" uri="mainContent.view" target="contentSection" 
	functionPost="setButtons('','','','','Creu Roja Gestión')"/>
</div>
<div class="arrow-up"></div>
</div>
