package com.achavero.cvf.views;

/**
 * Clase helper para el TagLib mantList.tag
 * Encapsula la informacin de una columna de una tabla
 * @author Adrian Chavero Ramos
 * @version 20 de dic. de 2015
 */
public class MantListColumn {
	protected String property;
	protected String label;
	protected String width;
	protected String type;

	public MantListColumn(String property) {
		this.property = property;
		this.type = "text";
		this.label = null;
		this.width = null;
	}

	public String getProperty() {
		return this.property;
	}

	public void setProperty(String property) {
		this.property = property;
	}

	public String getLabel() {
		return this.label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getWidth() {
		return this.width;
	}

	public void setWidth(String width) {
		this.width = width;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

}
