<%@tag import="com.achavero.cvf.views.ColumnDataHelper"%>
<%@tag import="java.util.List"%>
<%@tag import="java.util.ArrayList"%>
<%@tag import="java.util.Map"%>
<%@tag import="com.achavero.cvf.views.MantListColumn"%>
<%@tag import="java.util.HashMap"%>
<%@tag import="com.google.gson.Gson"%>
<%@tag import="com.achavero.cvf.views.Helper"%>
<%@ attribute name="id" required="false" description="id de la tabla con el listado" %>
<%@ attribute name="list" required="true" type="java.util.List" description="lista de beans con los datos" %>
<%@ attribute name="beanModel" required="false" type="Class" description="clase del bean modelo" %>

<%
Gson gson = new Gson();
if (id==null) {
	id="mantListId"+Helper.getMantListId();
}
request.setAttribute("currentMantListPropertyList", new ArrayList<String>());
request.setAttribute("currentMantListPropertyMap", new HashMap<String, MantListColumn>());
request.setAttribute("currentMantListBeanList", list);
%>
<jsp:doBody/>
<%
List<String> currentMantListPropertyList = (List<String>)request.getAttribute("currentMantListPropertyList");
Map<String, MantListColumn> currentMantListPropertyMap = (Map<String, MantListColumn>)request.getAttribute("currentMantListPropertyMap");
%>

<script>
var jsonList = <%=gson.toJson(list)%>;
 
$(document).ready(function() {
	$('#<%=id%>').DataTable( {
        data: jsonList,
        columns: [
			<%--{ 
				"data": "id", 
				"render": function( data, type, full, meta ) { 
					return '<input type="radio" name="idSelected" value="'+data+'">';
				},
				"title": ""
			} --%>
			<%for (int i=0; i<currentMantListPropertyList.size(); i++) {
				String key = currentMantListPropertyList.get(i);
				String label = "";
				if (currentMantListPropertyMap.get(key).getLabel()!=null) {
					label = currentMantListPropertyMap.get(key).getLabel();
				} else {
	    			if(!list.isEmpty()) { 
	    				label = ColumnDataHelper.getLabel(list.get(0), key);
	    			} else if (beanModel!=null) {
						label = ColumnDataHelper.getLabel(beanModel, key);
	        		} else {
						label = key;
	        		}
				}
				String width = currentMantListPropertyMap.get(key).getWidth();
				String type = currentMantListPropertyMap.get(key).getType();
				%>
					{
						<%if (width!=null) {%>
						"width": "<%=width%>",
						<%}%>
						"data": "<%=key%>",
						<%if (type.equals("radio")) {%>
						"render": function( data, type, full, meta ) { 
							return '<input type="radio" value="'+data+'">';
						},
						<% } %>
						"title": "<%=label%>"
					}
				<%
				if (i<currentMantListPropertyList.size()-1) {
					%>,<%
				}
			} %>
        ]
    } );
    
    $('#<%=id%> tbody').on( 'click', 'tr', function () {
    	$('#<%=id%>').find('tr.selected').removeClass('selected').find("input:radio").prop("checked", false);
        var idSelected = $(this).addClass('selected').find("input:radio").prop("checked", true).val();
        $("#headerButtonMod").data("uridata", "idSelected="+idSelected);
        $("#headerButtonDel").data("uridata", "idSelected="+idSelected);
    } );
    
    selectHeaderButton("headerButtonList");
} );
</script>

<style>
.datatablesTable tr {
	cursor: pointer;
}
</style>

<table id="<%=id%>" class="datatablesTable">
</table>
