package ad.creuroja.gestio.models;

import java.util.Date;

import com.achavero.cvf.views.ColumnData;

/**
 * Entity usuario de teleasistencia
 * JavaBean con la información de los usuarios de tele asistencia
 * de la cruz roja andorrana
 * @author Adrian Chavero Ramos
 * @version 20 de dic. de 2015
 */
public class TeleAssistUser {

	private Long id;

	protected Date requestDate;
	protected Date installationDate;
	protected String address;
	protected String addressNumber;
	protected String addressBlock;
	protected String addressStairs;
	protected String addressFloor;
	protected String addressBuilding;
	protected String addressPostalCode;
	protected String telephon1;
	protected String telephon2;

	protected String name;
	protected String surname;
	protected String passport;
	protected String birthdate;
	protected String socialSecurityNumber;

	public TeleAssistUser() {
	}

	public Long getId() {
		return this.id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@ColumnData(labelValue="Fecha petición")
	public Date getRequestDate() {
		return this.requestDate;
	}

	public void setRequestDate(Date requestDate) {
		this.requestDate = requestDate;
	}

	@ColumnData(labelValue="Fecha instalación")
	public Date getInstallationDate() {
		return this.installationDate;
	}

	public void setInstallationDate(Date installationDate) {
		this.installationDate = installationDate;
	}

	@ColumnData(labelValue="Dirección")
	public String getAddress() {
		return this.address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	@ColumnData(labelValue="Numero")
	public String getAddressNumber() {
		return this.addressNumber;
	}

	public void setAddressNumber(String addressNumber) {
		this.addressNumber = addressNumber;
	}

	@ColumnData(labelValue="Bloque")
	public String getAddressBlock() {
		return this.addressBlock;
	}

	public void setAddressBlock(String addressBlock) {
		this.addressBlock = addressBlock;
	}

	@ColumnData(labelValue="Escalera")
	public String getAddressStairs() {
		return this.addressStairs;
	}

	public void setAddressStairs(String addressStairs) {
		this.addressStairs = addressStairs;
	}

	@ColumnData(labelValue="Planta")
	public String getAddressFloor() {
		return this.addressFloor;
	}

	public void setAddressFloor(String addressFloor) {
		this.addressFloor = addressFloor;
	}

	@ColumnData(labelValue="Edificio")
	public String getAddressBuilding() {
		return this.addressBuilding;
	}

	public void setAddressBuilding(String addressBuilding) {
		this.addressBuilding = addressBuilding;
	}

	@ColumnData(labelValue="Código postal")
	public String getAddressPostalCode() {
		return this.addressPostalCode;
	}

	public void setAddressPostalCode(String addressPostalCode) {
		this.addressPostalCode = addressPostalCode;
	}

	@ColumnData(labelValue="Teléfono")
	public String getTelephon1() {
		return this.telephon1;
	}

	public void setTelephon1(String telephon1) {
		this.telephon1 = telephon1;
	}

	@ColumnData(labelValue="Teléfono 2")
	public String getTelephon2() {
		return this.telephon2;
	}

	public void setTelephon2(String telephon2) {
		this.telephon2 = telephon2;
	}

	@ColumnData(labelValue="Nombre")
	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@ColumnData(labelValue="Apellido")
	public String getSurname() {
		return this.surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	@ColumnData(labelValue="N pasaporte")
	public String getPassport() {
		return this.passport;
	}

	public void setPassport(String passport) {
		this.passport = passport;
	}

	@ColumnData(labelValue="Fecha nacimiento")
	public String getBirthdate() {
		return this.birthdate;
	}

	public void setBirthdate(String birthdate) {
		this.birthdate = birthdate;
	}

	@ColumnData(labelValue="Número seguridad social")
	public String getSocialSecurityNumber() {
		return this.socialSecurityNumber;
	}

	public void setSocialSecurityNumber(String socialSecurityNumber) {
		this.socialSecurityNumber = socialSecurityNumber;
	}

}
