package ad.creuroja.gestio.requests.teleAssist;

import java.util.List;

import com.achavero.cvf.core.CvfRequestCommand;
import com.achavero.cvf.core.CvfRequestInvocation;

import ad.creuroja.gestio.models.TeleAssistUser;
import ad.creuroja.gestio.services.impl.TeleAssistUserServiceImpl;

/**
 * Comando vista listado de usuarios de teleasistencia
 * success -> /teleAssist/teleAssistUserList.jsp
 * @author Adrian Chavero Ramos
 * @version 9 de ene. de 2016
 */
public class TeleAssistUserListView extends CvfRequestCommand {

	@Override
	public String execute(CvfRequestInvocation invocation) {

		TeleAssistUserServiceImpl teleAssistUserService = new TeleAssistUserServiceImpl();

		List<TeleAssistUser> teleAssistUserList = teleAssistUserService.teleAssistUserList();
		invocation.getRequest().setAttribute("teleAssistUserList", teleAssistUserList);

		return "success";
	}

}
