<%@ page language="java" contentType="text/html; UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://cvf.achavero.com/taglibs/views" prefix="cvf"%>

<!DOCTYPE html>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">

<title>Creu Roja Gestio</title>

<jsp:include page="/helpers/fullImportsInclude.jsp" />

<script>

$(document).ready(function() {
	$(window).resize(windowResize);
	windowResize();
});

function windowResize() {
	$("#menuSection").height($(this).height()-30);
	$("#headerSection").width($(this).width()-250);
	$("#contentSection").height($(this).height()-30-50);
	$("#contentSection").width($(this).width()-250);
	$("#footerSection").width($(this).width());
}

</script>

<style>

#footerSection {
	border: 1px solid #000000;
}

html, body {
	width: 100%;
	height: 100%;
	margin: 0px;
	padding: 0px;
 	overflow: hidden; 
}

#menuSection {
	position: absolute;
	width: 250px;
	top: 0px;
}

#headerSection {
	position: absolute;
	left: 250px;
	top: 0px;
	height: 50px;
}

#contentSection {
	position: absolute;
	left: 250px;
	top: 50px;
}

#footerSection {
	height: 30px;
	position: absolute;
	left: 0px;
	bottom: 0px;
}

.navigationDiv {
	cursor: pointer;
}

.panel-primary {
    border-color: #D2101B;
}

.panel-primary > .panel-heading {
    background-image: linear-gradient(to bottom, #D2101B 0px, #B2090A 100%);
    background-repeat: repeat-x;
    font-weight: bold;
    font-size: 15px;
}

.panel-primary > .panel-heading {
    color: #FFF;
    background-color: #D2101B;
    border-color: #D2101B;
}

/*#B0BED9*/

</style>

</head>
<body>

<cvf:section id="menuSection" uri="menu.view"/>

<cvf:section id="contentSection" uri="mainContent.view"/>

<cvf:section id="headerSection" uri="headerContent.view" functionPost="setButtons('','','','','Creu Roja Gestión')"/> 

<cvf:section id="footerSection" uri="footer.view"/>

</body>
</html>