package ad.creuroja.gestio.requests.teleAssist;

import com.achavero.cvf.core.CvfRequestCommand;
import com.achavero.cvf.core.CvfRequestInvocation;
import com.achavero.utils.Utils;

import ad.creuroja.gestio.services.impl.TeleAssistUserServiceImpl;

/**
 * Acción eliminar usuario teleasistencia
 * success -> teleAssistUserList.view
 * error -> teleAssistUserList.view
 * @author Adrian Chavero Ramos
 * @version 9 de ene. de 2016
 */
public class TeleAssistUserDelAction extends CvfRequestCommand {

	@Override
	public String execute(CvfRequestInvocation invocation) {

		Long idSelected = Utils.getParameter(invocation.getRequest(), "idSelected", -1L, Long.class);

		if (idSelected==null || idSelected==-1L) {
			return "error";
		}

		TeleAssistUserServiceImpl teleAssistUserService = new TeleAssistUserServiceImpl();
		if (teleAssistUserService.delete(idSelected)) {
			return "success";
		} else {
			return "error";
		}

	}
}
