<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
 <%@ taglib uri="http://cvf.achavero.com/taglibs/views" prefix="cvf"%>
    
<style>
	#menuContainer .fa { margin-right:10px; }
	#menuContainer .panel-body { padding:0px; }
	#menuContainer .panel-body table tr td { 
		padding-left: 15px;
		color: #000000; 
	}
	#menuContainer .panel-body table tr td:hover {
		color: #D2101B !important;
	}
	#menuContainer .panel-body .table {margin-bottom: 0px; }
	#menuContainer .panel-heading { 
		cursor: default;
		color: #FFFFFF !important;
		font-weight: bold  !important; 
		background: #D2101B !important; 
	}
	#menuContainer {padding: 6px;}
	#menuContainer .panel-title, #menuContainer .panel-heading, #menuContainer .panel-body {
		cursor: pointer;
	}
</style>

<div id="menuContainer">

<div><img src="/CreuRojaGestio/images/creuroja.jpg" height="120px"></div>

    <div class="panel-group" id="accordion">
        <div class="panel panel-default">
            <div class="panel-heading" data-toggle="collapse" data-parent="#accordion" href="#collapse1">
                <h4 class="panel-title">
                    <span class="fa fa-phone"></span>
                    Teleasistencia
                </h4>
            </div>
            <div id="collapse1" class="panel-collapse collapse">
                <div class="panel-body">
                    <table class="table">
                        <tr>
                            <td>
                            	<cvf:navigation faicon="fa-user" label="Usuarios" uri="teleAssistUserList.view" target="contentSection" 
                            		functionPost="setButtons('teleAssistUserList.view','teleAssistUserAdd.view','teleAssistUserMod.view','teleAssistUserDel.action','Usuarios Teleasistencia','headerButtonList');"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            	<cvf:navigation faicon="fa-database" label="Mantenimientos" uri="teleAssistMant.view" target="contentSection" />
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div class="panel panel-default">
            <div class="panel-heading" data-toggle="collapse" data-parent="#accordion" href="#collapse2">
                <h4 class="panel-title">
                    <span class="fa fa-area-chart"></span>
                    Analisis
                </h4>
            </div>
            <div id="collapse2" class="panel-collapse collapse">
                <div class="panel-body">
                    <table class="table">
                        <tr>
                            <td>
                            	<cvf:navigation faicon="fa-line-chart" label="Evolución usuarios" uri="teleAssistEvolution.view" target="contentSection" />
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div class="panel panel-default">
            <div class="panel-heading" data-toggle="collapse" data-parent="#accordion" href="#collapse3">
                <h4 class="panel-title">
                    <span class="fa fa-gear"></span>
                    Administración
                </h4>
            </div>
            <div id="collapse3" class="panel-collapse collapse">
                <div class="panel-body">
                    <table class="table">
                        <tr>
                            <td>
                            	<cvf:navigation faicon="fa-key" label="Cambiar Password" uri="changePassword.view" target="contentSection" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                            	<cvf:navigation faicon="fa-users" label="Usuarios" uri="loginList.view" target="contentSection" 
                            		functionPost="setButtons('loginList.view','loginAdd.view','loginMod.view','loginDel.action','Usuarios','headerButtonList');"/>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
