package com.achavero.cvf.core;

/**
 * Clase base para todos los comandos/acciones CvfRequest
 * @author Adrian Chavero Ramos
 * @version 20 de dic. de 2015
 */
public abstract class CvfRequestCommand {
	public void init() {};
	public void destroy(){};

	/**
	 * mtodo con el cuerpo del comando/accin de la peticin
	 * @param invocation
	 * @return
	 */
	public abstract String execute(CvfRequestInvocation invocation);
}
